#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		apivers		%(echo %{name} | cut -d '-' -f2-3 | tr -s '-' '.')
#-----------------------------------------------------------------------------
Name		:	cairomm-1-16
Version		:	1.18.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Library to provides a C++ interface to Cairo. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.cairographics.org/releases

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	libsigc++30-devel
BuildRequires	:	doxygen
BuildRequires	:	graphviz

#-----------------------------------------------------------------------------
%description
'%{name}' is a C++ wrapper for the cairo graphics library.
It offers all the power of cairo with an interface familiar
to C++ developers, including use of the Standard Template
Library where it makes sense.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_libdir}/lib%{sname}-%{apivers}.so.1*

#=============================================================================
%package		devel

Summary		:	Development files for %{sname}%{apiver}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains
libraries and header files for developing
applications that use %{name}
 
The API/ABI version series is %{apiver}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{apivers}/%{sname}/*.h
%{_libdir}/%{sname}-%{apivers}/include/%{sname}config.h
%{_libdir}/lib%{sname}-%{apivers}.so
%{_libdir}/pkgconfig/%{sname}-*%{apivers}.pc

#=============================================================================
%package		doc

Summary		:	Documentation for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Documenatation for %{name} can be viewed through
the devhelp documentation browser.

The API/ABI version series is %{apiver}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%license COPYING
%{_datadir}/devhelp/books/%{sname}-%{apivers}/%{sname}-%{apivers}.devhelp2
%{_defaultdocdir}/%{sname}-%{apivers}/reference/html/*
%{_defaultdocdir}/%{sname}-%{apivers}/reference/%{sname}-%{apivers}.tag


#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{sname}		\
        --sysconfdir=%{_sysconfdir}/%{sname}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-D build-documentation=true			\
	-D build-examples=false				\
	-D build-tests=true				\
	-D boost-shared=true				\
	-D warnings=max					\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson							\
	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
